## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           linux-sysinfo-snapshot
Version:        3.7.8.2
Release:        %autorelease
Summary:        System information snapshot tool for Mellanox adapters

License:        BSD-3-Clause
URL:            https://github.com/Mellanox/linux-sysinfo-snapshot
Source:         %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3
BuildRequires:  python3dist(setuptools)
BuildRequires:  sed

Requires:       python3dist(setuptools)

Recommends:     bridge-utils
Recommends:     dmidecode
Recommends:     dkms
Recommends:     grep
Recommends:     hostname
Recommends:     iproute
Recommends:     iscsi-initiator-utils
Recommends:     kmod
Recommends:     libvirt-client
Recommends:     lldpad
Recommends:     lslw
Recommends:     mdadm
Recommends:     mstflint
Recommends:     net-tools
Recommends:     NetworkManager
Recommends:     numactl
Recommends:     openvswitch
Recommends:     pciutils
Recommends:     util-linux
Recommends:     systemd

%description
Linux Sysinfo Snapshot is a tool designed to take a snapshot of all the
configuration and relevant information on the server and Mellanox's adapters.

%prep
%autosetup -p1

# Fix config path
touch -r sysinfo-snapshot.py timestamp
sed -i 's:^DEFAULT_CONFIG_PATH = .*$:DEFAULT_CONFIG_PATH = "%{_sysconfdir}/sysinfo-snapshot/config.csv":' sysinfo-snapshot.py
touch -r timestamp sysinfo-snapshot.py
rm timestamp

%build
# Nothing to build

%install
install -Dpm0755 sysinfo-snapshot.py %{buildroot}/%{_bindir}/sysinfo-snapshot
install -Dpm0644 -t %{buildroot}%{_sysconfdir}/sysinfo-snapshot config.csv

%check
./sysinfo-snapshot.py -v

%files
%license LICENSE
%doc README.md
%{_bindir}/sysinfo-snapshot
%dir %{_sysconfdir}/sysinfo-snapshot
%config(noreplace) %{_sysconfdir}/sysinfo-snapshot/config.csv

%changelog
## START: Generated by rpmautospec
* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 3.7.8.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Aug 09 2024 Davide Cavalca <dcavalca@fedoraproject.org> - 3.7.8.2-1
- Update to 3.7.8.2; Fixes: RHBZ#2279812

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.7.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jan 26 2024 Davide Cavalca <dcavalca@fedoraproject.org> - 3.7.6-1
- Initial import; Fixes: RHBZ#2260380
## END: Generated by rpmautospec
